#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        b.push_back(stoll(s));
    }
    return b;
}

vector<string> stringTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<string> b;
    for (string& s: a) {
        b.push_back(s);
    }
    return b;
}

int ok[1000000];

bool in(long long n, long long x, long long y) {
    return x <= n && n <= y;
}

bool in(long long n, long long k, vector<long long> v, long long nx, long long ny, long long kx, long long ky, long long ax, long long ay) {
    if (!(nx <= n && n <= ny)) return false;
    if (!(kx <= k && k <= ky)) return false;
    for (int a: v) {
        if (!(ax <= a && a <= ay)) return false;
    }
    return true;
}

int main() {
    vector<long long> line1 = longlongTokens(' ');
    vector<long long> line2 = longlongTokens(' ');
    assertEOF();

    assert(line1.size() == 2);
    long long n = line1[0];
    assert(1 <= n && n <= 5e5);
    long long k = line1[1];
    assert(1 <= k && k < 2e4);

    assert(line2.size() == n);
    for (long long a: line2) assert(1 <= a && a < 1e9);

    if (in(n,k,line2,1,1,1,1,1,999)) cout << 1;
    if (in(n,k,line2,1,1,1,1000,1,999)) cout << 2;
    if (in(n,k,line2,1,1000,1,1000,1,999)) cout << 3;
    if (in(n,k,line2,1,1000,1,1000,1,1000000000)) cout << 4;
    if (in(n,k,line2,1,500000,1,1000,1,999)) cout << 5;
    if (in(n,k,line2,1,500000,1,1000,1,1000000000)) cout << 6;
    if (in(n,k,line2,1,500000,1,20000,1,1000000000)) cout << 7;

    return 0;
}
